Debian Bug report logs - #317068
rdesktop: Steals keyboard

version graph

Package: rdesktop; Maintainer for rdesktop is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for rdesktop is src:rdesktop.

Reported by: Javier Kohen <jkohen@users.sourceforge.net>

Date: Wed, 6 Jul 2005 00:18:19 UTC

Severity: normal

Found in versions 1.4.1-1, rdesktop/1.4.1-1.1, rdesktop/1.5.0-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tomas Fasth <tomfa@debian.org>:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Javier Kohen <jkohen@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Tomas Fasth <tomfa@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Kohen <jkohen@users.sourceforge.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rdesktop: Steals keyboard
Date: Tue, 05 Jul 2005 20:46:10 -0300
Package: rdesktop
Version: 1.4.1-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

RDesktop seems to grab the keyboard in a weird way while it's running. On one hand, it grabs alt-tab before the window manager which is useful, but on the other hand, it's a bit agressive. If the connection is lagging or gets disconnected (for some reason the window is not always closed), you lose all ability to use the keyboard. The only way I found to restore the keyboard to normal in this case is to kill rdesktop or wait until the connection gets back to normal (only if it wasn't lost, but severely lagged).

I expect that a lost connection or a slow network won't prevent me from typing in my local system once I take the focus away from rdesktop.

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-ck2
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)

Versions of packages rdesktop depends on:
ii  libc6                    2.3.2.ds1-21    GNU C Library: Shared libraries an
ii  libssl0.9.7              0.9.7g-1        SSL shared libraries
ii  libx11-6                 4.3.0.dfsg.1-13 X Window System protocol client li
ii  xlibs                    4.3.0.dfsg.1-13 X Keyboard Extension (XKB) configu

rdesktop recommends no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCyxvC823633cP2P8RAmolAJ9VDMwkei8vWyxqHodgHb5CV6fplgCeKTI1
7sI6JH/0aKwhki56jDsKgls=
=70Wo
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Tomas Fasth <tomfa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 317068@bugs.debian.org (full text, mbox):

From: Tomas Fasth <tomfa@debian.org>
To: Javier Kohen <jkohen@users.sourceforge.net>, 317068@bugs.debian.org
Subject: Re: Bug#317068: rdesktop: Steals keyboard
Date: Sat, 23 Jul 2005 06:43:25 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Javier Kohen skrev:
> Package: rdesktop Version: 1.4.1-1 Severity: normal
> 
> RDesktop seems to grab the keyboard in a weird way while it's
> running. On one hand, it grabs alt-tab before the window manager
> which is useful, but on the other hand, it's a bit agressive. If
> the connection is lagging or gets disconnected (for some reason
> the window is not always closed), you lose all ability to use the
> keyboard. The only way I found to restore the keyboard to normal
> in this case is to kill rdesktop or wait until the connection
> gets back to normal (only if it wasn't lost, but severely
> lagged).
> 
> I expect that a lost connection or a slow network won't prevent
> me from typing in my local system once I take the focus away from
> rdesktop.

Hello Javier

Thank you for reporting this problem. I have not been able to
reproduce it myself, though. I have therefore presented your problem
to the rdesktop-devel mailing list. I will inform you of any
progress in this matter.

- --
Tomas Fasth <tomfa@debian.org>
GnuPG KeyId: 0x9FE8D504
Fingerprint: DC7B 9453 7F26 1BF9 6B21 9F90 C187 7355 9FE8 D504
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (MingW32)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFC4crtwYdzVZ/o1QQRAtr0AJ48QYfmygdCZdL/Usi4ndp+7s6LQACfTVxB
xFOTWeTjTFv8TIwad3y0dus=
=tEyz
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Tomas Fasth <tomfa@debian.org>:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Håkan Lindqvist <lindqvist@netstar.se>:
Extra info received and forwarded to list. Copy sent to Tomas Fasth <tomfa@debian.org>. Full text and rfc822 format available.

Message #15 received at 317068@bugs.debian.org (full text, mbox):

From: Håkan Lindqvist <lindqvist@netstar.se>
To: 317068@bugs.debian.org
Subject: Re: Bug#317068: rdesktop: Steals keyboard
Date: Thu, 28 Jul 2005 11:01:01 +0200
[Message part 1 (text/plain, inline)]
I would like to confirm this problem and add a few notes, in case it is
of any help...

I don't know exactly how to provoke this behaviour, but it frequently
happens when connectivity has been poor or non-existant for a while and
the rdesktop window remains open. (Just like was described in the
original report.)

Usually, when the connection trouble starts, the rdesktop window just
stops updating (but keyboard can be used outside of rdesktop and
rdesktop can be closed normally). However, if you leave the window open,
the keyboard becomes unusable in the whole X session until rdesktop is
killed. Rdesktop also no longer responds to normally closing the window
when in this state.


Regards,
Håkan
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Tomas Fasth <tomfa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 317068@bugs.debian.org (full text, mbox):

From: Tomas Fasth <tomfa@debian.org>
To: Håkan Lindqvist <lindqvist@netstar.se>, 317068@bugs.debian.org
Subject: Re: Bug#317068: rdesktop: Steals keyboard
Date: Thu, 28 Jul 2005 16:38:10 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Håkan Lindqvist skrev:
> I would like to confirm this problem and add a few notes, in case it is
> of any help...
> 
> I don't know exactly how to provoke this behaviour, but it frequently
> happens when connectivity has been poor or non-existant for a while and
> the rdesktop window remains open. (Just like was described in the
> original report.)
> 
> Usually, when the connection trouble starts, the rdesktop window just
> stops updating (but keyboard can be used outside of rdesktop and
> rdesktop can be closed normally). However, if you leave the window open,
> the keyboard becomes unusable in the whole X session until rdesktop is
> killed. Rdesktop also no longer responds to normally closing the window
> when in this state.
> 
> 
> Regards,
> Håkan

Hej Håkan :)

What versions of rdesktop have been causing you this kind of trouble?

- --
Tomas Fasth <tomfa@debian.org>
GnuPG Fingerprint: DC7B 9453 7F26 1BF9 6B21 9F90 C187 7355 9FE8 D504

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (MingW32)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFC6O3SwYdzVZ/o1QQRAjXbAJwPBtQ+wzkNyyQruck9iXdgJjjXnQCfSZIk
YprcNdFNImm5uu5Kh6Z3cwc=
=eowD
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Tomas Fasth <tomfa@debian.org>:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Håkan Lindqvist <lindqvist@netstar.se>:
Extra info received and forwarded to list. Copy sent to Tomas Fasth <tomfa@debian.org>. Full text and rfc822 format available.

Message #25 received at 317068@bugs.debian.org (full text, mbox):

From: Håkan Lindqvist <lindqvist@netstar.se>
To: Tomas Fasth <tomfa@debian.org>
Cc: 317068@bugs.debian.org
Subject: Re: Bug#317068: rdesktop: Steals keyboard
Date: Thu, 28 Jul 2005 16:53:46 +0200
[Message part 1 (text/plain, inline)]
On tor, 2005-07-28 at 16:38 +0200, Tomas Fasth wrote:

> Hej Håkan :)
> 
> What versions of rdesktop have been causing you this kind of trouble?

Hej Tomas!

It must at least have been happening at least since 1.3.x, maybe longer
(it's even possible that rdesktop has always had this problem).

I'm currently using 1.4.1-1, which also does this.



/Håkan
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Tomas Fasth <tomfa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 317068@bugs.debian.org (full text, mbox):

From: Tomas Fasth <tomfa@debian.org>
To: Håkan Lindqvist <lindqvist@netstar.se>, 317068@bugs.debian.org
Subject: Re: Bug#317068: rdesktop: Steals keyboard
Date: Thu, 28 Jul 2005 20:49:44 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Håkan Lindqvist skrev:
> On tor, 2005-07-28 at 16:38 +0200, Tomas Fasth wrote:
> 
> 
>>Hej Håkan :)
>>
>>What versions of rdesktop have been causing you this kind of trouble?
> 
> 
> Hej Tomas!
> 
> It must at least have been happening at least since 1.3.x, maybe longer
> (it's even possible that rdesktop has always had this problem).
> 
> I'm currently using 1.4.1-1, which also does this.

Okej, tack. I will take it upstream and see what they have to say
about this. It is a bit strange that it has been there for such a
long time and not already been discovered and fixed.

- --
Tomas Fasth <tomfa@debian.org>
GnuPG Fingerprint: DC7B 9453 7F26 1BF9 6B21 9F90 C187 7355 9FE8 D504
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (MingW32)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFC6SjIwYdzVZ/o1QQRAiqGAJ9CaM2jqxAu7dxeNncMhzBKARyExQCfR4wx
sYKYVCik8sjwSD+uEA4zNmM=
=D1zO
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Tomas Fasth <tomfa@debian.org>:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Brandon Mitchell <bmitch3020_web@cox.net>:
Extra info received and forwarded to list. Copy sent to Tomas Fasth <tomfa@debian.org>. Full text and rfc822 format available.

Message #35 received at 317068@bugs.debian.org (full text, mbox):

From: Brandon Mitchell <bmitch3020_web@cox.net>
To: 317068@bugs.debian.org
Subject: Re: rdesktop: Steals keyboard
Date: Tue, 19 Sep 2006 13:56:56 -0400
Package: rdesktop
Version: 1.4.1-1.1
Followup-For: Bug #317068

I'm seeing a similar behavior.  I connect over a vpn which sometimes
drops the connection or silently hangs.  I don't think you get any TCP
disconnects when this happens.  Once in this state, if I go into the
rdesktop window (which I believe has always been at a locked desktop
screen), it will take the keyboard and mouse but not give them back.
The mouse can move out of the window if it's not full screened, but I
cannot right click to close the rdesktop window and the keyboard is
completely taken.  Ssh'ing into the local machine and killing rdesktop
restores the keyboard and mouse.

For the rdesktop developers, I'd suggest adding a timeout on waiting for
a response from the server.  Also, make sure to accept focus changes and
changes in and out of full screen mode when the remote system is not
responsive.

Thanks for all your hard work!

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (950, 'testing'), (750, 'stable'), (400, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages rdesktop depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libssl0.9.8                  0.9.8b-3    SSL shared libraries
ii  libx11-6                     2:1.0.0-8   X11 client-side library

rdesktop recommends no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Roger Gammans <roger@computer-surgery.co.uk>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #40 received at 317068@bugs.debian.org (full text, mbox):

From: Roger Gammans <roger@computer-surgery.co.uk>
To: Debian Bug Tracking System <317068@bugs.debian.org>
Subject: rdesktop: Confirmed on 1.5.0-1
Date: Sun, 13 May 2007 16:47:34 +0100
Package: rdesktop
Version: 1.5.0-1
Followup-For: Bug #317068


I'd like to confirm this bug is still in 1.5.0-1 .

It's hits me quite often unfortunately - and I'ld like to offer to
help debug it. It looks like rdesktop could be improved by
using non-blocking sockets or similiar.

I'm also going to mail upstream and make an offer there too.


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages rdesktop depends on:
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  libssl0.9.8                 0.9.8c-4     SSL shared libraries
ii  libx11-6                    2:1.0.3-7    X11 client-side library

rdesktop recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#317068; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to "Trygve Vea" <trygve.vea@gmail.com>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #45 received at 317068@bugs.debian.org (full text, mbox):

From: "Trygve Vea" <trygve.vea@gmail.com>
To: 317068@bugs.debian.org
Subject: I would like to confirm that this is still an issue
Date: Wed, 5 Sep 2007 02:46:53 +0200
I would also like to summarise the problem the way I understand it:

If the mouse-pointer is inside the window and the window has focus,
the window grabs all keyboard-input. If this focus lasts for a while
when idling - let's say 5 minutes - and the local desktop screensaver
does not start - your mouse becomes useless and the RDP-session is
still grabbing the keyboard.

If you wait for your local screensaver to start, this usually solves
the problem.

I've grown aware on how to avoid it - just focus on other applications
when idling.

-- 
Trygve Vea



Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#317068; Package rdesktop. (Sun, 05 Dec 2010 09:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Varela Pet <rafael.varela@gmail.com>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Sun, 05 Dec 2010 09:09:03 GMT) Full text and rfc822 format available.

Message #50 received at 317068@bugs.debian.org (full text, mbox):

From: Rafael Varela Pet <rafael.varela@gmail.com>
To: 317068@bugs.debian.org
Subject: I also confirm this issue
Date: Sun, 05 Dec 2010 10:05:53 +0100
Hi,

I can confirm this bug still happens on rdesktop 1.6.0-2  (Debian Lenny
i386).

As Trygve Vea said:

- It seems to happen afer idling with the focus on the rdesktop window.
- Firing up the screensaver usually solves the problem.

Another workaround is to remotely ssh into the machine and kill the
rdesktop process.

Best regards,
-- 
Rafael Varela Pet




Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#317068; Package rdesktop. (Thu, 25 Aug 2011 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. (Thu, 25 Aug 2011 21:48:04 GMT) Full text and rfc822 format available.

Message #55 received at 317068@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo@sourcepole.ch>
To: 317068@bugs.debian.org
Subject: Same in Ubuntuland
Date: Thu, 25 Aug 2011 22:42:52 +0200 (CEST)
Ubuntu has the same problem:

   https://bugs.launchpad.net/debian/+source/rdesktop/+bug/81854

RedHat seems to have fixed it:

  https://bugs.launchpad.net/debian/+source/rdesktop/+bug/81854/comments/26

Maybe they have a fix? What does upstream say about this problem? :

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=317068#30

Aparently an older version would not exhibit this bug (search for Ubuntu 
7.04):

  https://bugs.launchpad.net/ubuntu/+source/rdesktop/+bug/218308/comments/7

I've reported the bug here upstream:

  https://sourceforge.net/tracker/index.php?func=detail&aid=3398169&group_id=24366&atid=381347

*t




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:10:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.